REST API
कॉल बनाएँ, एजेंट और कैंपेन संभालें, ट्रांसक्रिप्ट पढ़ें।
डेवलपर्स
कॉल, कैंपेन और ट्रांसक्रिप्ट के लिए REST API और साइन किए गए वेबहुक।
कॉल बनाएँ, एजेंट और कैंपेन संभालें, ट्रांसक्रिप्ट पढ़ें।
HMAC सिग्नेचर और रीट्राई के साथ conversation.ended और appointment.booked।
सादा HTTPS और JSON, Node.js, Python और cURL के तैयार उदाहरणों के साथ।
लाइव से पहले एजेंट सुरक्षित रूप से टेस्ट करें।
conversation.endedकॉल खत्म हुई, नतीजे, अवधि और कॉन्टैक्ट के साथ।appointment.bookedएक कन्फ़र्म अपॉइंटमेंट बना।हर अनुरोध में Frontdesk-Signature: t=<सेकंड>,v1=<t.body का HMAC-SHA256> होता है। अपने साइनिंग सीक्रेट से दोबारा गणना करें और पुराने टाइमस्टैम्प अस्वीकार करें।
const res = await fetch("https://api.frontdesk.example/v1/calls/outbound", { method: "POST", headers: { Authorization: `Bearer ${process.env.FRONTDESK_KEY}`, "Content-Type": "application/json" }, body: JSON.stringify({ contactId: "c_8f2…", from: "+15550100190", idempotencyKey: crypto.randomUUID() })});// → 202 Accepted · conversation.ended webhook when the call finishesimport os, uuid, requests res = requests.post( "https://api.frontdesk.example/v1/calls/outbound", headers={"Authorization": f"Bearer {os.environ['FRONTDESK_KEY']}"}, json={"contactId": "c_8f2…", "from": "+15550100190", "idempotencyKey": str(uuid.uuid4())},)# → 202 Accepted · conversation.ended webhook when the call finishescurl -X POST https://api.frontdesk.example/v1/calls/outbound \ -H "Authorization: Bearer $FRONTDESK_KEY" \ -H "Content-Type: application/json" \ -d '{"contactId":"c_8f2…","from":"+15550100190","idempotencyKey":"7d1c…"}' # → 202 Accepted